      program creapot

      implicit none

      real*8 Z,rV(441)
      real*8 u,deltax,x,r(441)

      integer i,j,k

      character dummy

      open(unit=10,file='hspot.out',
     &     access='sequential',status='unknown',form='formatted')
      read(10,100) dummy
 100  format(a)
      read(10,100) dummy
      read(10,100) dummy
      read(10,200) Z
      read(10,100) dummy
 200  format(f9.4)
      read(10,300) (rV(i),i=1,441)
 300  format(e14.7,4e14.7)
      close(unit=10)

      open(unit=10,file='inppot.out',
     &     access='sequential',status='unknown',form='formatted')
      write(10,400) (-rV(i)/Z,i=1,437,4)
 400  format (f8.5,9f7.5)
      close(unit=10)

      u = 0.88534138d0/Z**(1.d0/3.d0)
      deltax = 0.0025d0
      x = 0.d0
      i = 1
      r(i) = u*x
      do j = 1,11
         do k = 1,40
            i = i + 1
            x = x + deltax
            r(i) = u*x
         end do
         deltax = 2.d0*deltax
      end do

      open(unit=10,file='pot.dat',
     &     access='sequential',status='unknown',form='formatted')
      do i = 1, 441
         write(10,500) r(i),rV(i)
 500     format(e25.16,e25.16)
      end do
      close(unit=10)

      end
